#pragma once

#include "../../TradeCore/trade_data.hh"
#include <QDialog>

namespace Ui {
class ControlDialog;
}

/**
 * @brief Dialog for displaying informations about strategy activities
 */
class ControlDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ControlDialog(QWidget* parent = nullptr);
    void setData(const TradeData& data);
    void setOrder(const Order& order);
    ~ControlDialog();

private:
    Ui::ControlDialog* ui_;
};

